## prometheus-process-exporter 0.4.0%2Bds

=== debian/changelog ===
prometheus-process-exporter (0.4.0+ds-1) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * Fix TestReadFixture on non 4K page size arches. TestReadFixture checks
    fixtures/14804/stat RSS which is a number of page and compares it to
    hardcoded expected value 0x7b1000 (= 1969 * 4096). Instead of using a
    4k expected value, use system's pagesize like it's done in
    proc_stat.go. Closes: #915035.

  [ Martín Ferrari ]
  * Automated fixes from cme.
  * Prefix patch with series numner.
  * Add debian/gbp.conf to describe repo configuration.
  * Claim /var/lib/prometheus directory. Closes: #915782.
  * Use DH_GOLANG_INSTALL_EXTRA instead of linking test fixtures.
  * Add myself to uploaders.
  * Add '+ds' suffix to version number to reflect repackaging done to remove
    vendoring.
  * Update watchfile for repackaging suffix.

 -- Martín Ferrari <tincho@debian.org>  Mon, 14 Jan 2019 01:33:35 +0000

prometheus-process-exporter (0.4.0-1) unstable; urgency=medium

  * Initial release. Closes: #911939.

 -- Daniel Swarbrick <daniel.swarbrick@profitbricks.com>  Fri, 26 Oct 2018 17:12:06 +0200

## prometheus-process-exporter 0.4.0+ds

=== Makefile ===
pkgs          = $(shell go list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= ncabatoff/process-exporter
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
SMOKE_TEST = -config.path packaging/conf/all.yaml -once-to-stdout-delay 1s |grep -q 'namedprocess_namegroup_memory_bytes{groupname="process-exporte",memtype="virtual"}'

all: format vet test build smoke

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:
	@echo ">> running short tests"
	go test -short $(pkgs)

format:
	@echo ">> formatting code"
	go fmt $(pkgs)

vet:
	@echo ">> vetting code"
	go vet $(pkgs)

build:
	@echo ">> building code"
	cd cmd/process-exporter; CGO_ENABLED=0 go build -o ../../process-exporter -a -tags netgo

smoke:
	@echo ">> smoke testing process-exporter"
	./process-exporter $(SMOKE_TEST)

integ:
	@echo ">> integration testing process-exporter"
	go build -o integration-tester cmd/integration-tester/main.go
	go build -o load-generator cmd/load-generator/main.go
	./integration-tester -write-size-bytes 65536

install:
	@echo ">> installing binary"
	cd cmd/process-exporter; CGO_ENABLED=0 go install -a -tags netgo

docker:
	@echo ">> building docker image"
	docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .
	docker run --rm -v `pwd`/packaging:/packaging "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" $(SMOKE_TEST)

.PHONY: all style format test vet build integ docker

=== debian/control ===
Source: prometheus-process-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@profitbricks.com>,
           Martín Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-github-google-go-cmp-dev,
               golang-github-prometheus-client-golang-dev,
               golang-go,
               golang-gopkg-check.v1-dev,
               golang-yaml.v2-dev,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git
Homepage: https://github.com/ncabatoff/process-exporter
XS-Go-Import-Path: github.com/ncabatoff/process-exporter

Package: prometheus-process-exporter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter that exposes process metrics from procfs
 Some apps are impractical to instrument directly, either because you don't
 control the code or they're written in a language that isn't easy to
 instrument with Prometheus. This exporter solves that issue by mining
 process metrics from procfs.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_EXCLUDES := cmd/integration-tester cmd/load-generator
export DH_GOLANG_INSTALL_EXTRA := fixtures

BINNAME := $(DEB_SOURCE)
BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/process-exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installinit:
	dh_installinit --noscripts

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/process-exporter-$1\.tar\.gz/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/ncabatoff/process-exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-process-exporter 0.7.5

=== debian/changelog ===
prometheus-process-exporter (0.7.5-3) unstable; urgency=medium

  * Team upload.
  * Indent debian/watch opts contents
  * Update version.BuildUser to match the Maintainer address
  * Build-Depend on golang-any instead of golang-go
  * Add missing Pre-Depends with misc:Pre-Depends substvar

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 23:49:45 +0100

prometheus-process-exporter (0.7.5-2) unstable; urgency=medium

  * Team upload.
  * Comment out disabled option in man page.
  * Build-Depend on golang-github-prometheus-procfs-dev (>= 0.2.0) instead of
    golang-procfs-dev, required by the new upstream release.
  * Add a gitlab CI configuration file.
  * Switch from vendored to packaged golang-github-ncabatoff-go-seq-dev.
  * Update Standards-Version to 4.5.1 (no changes).
  * Switch from transitional golang-yaml.v2-dev to golang-gopkg-yaml.v2-dev.
  * Add missing dependency on adduser
  * Use '' instead of `' in text
  * Add systemd service Restart directive set to on-failure
  * Improve man page formatting
  * Remove error suppression from postinst
  * Run adduser unconditionally
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Add a sysvinit init script
  * Add a logrotate fragment file
  * Add a postrm script to cleanup pidfile and log files on purge
  * Update copyright claims
  * Update gitignore entries

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 03:53:41 +0100

prometheus-process-exporter (0.7.5-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release. Closes: #948002.
  * Drop repackaged branch, since upstream removed vendor directory.
  * Add patches to allow building without vendored deps:
    - 02-vendor-ncabatoff-go-seq-seq.patch
    - 03-disable-fakescraper.patch
  * Add new build-dep golang-github-prometheus-common-dev.
  * Update Standards-Version to 4.5.0 (no changes).
  * Update debhelper-compat to 13.
  * Update lintian-overrides.
  * Add upstream metadata.

  [ Guillem Jover ]
  * Update and unify default file. Closes: #953651.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Mon, 16 Nov 2020 20:11:19 +0100

=== debian/control ===
Source: prometheus-process-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
           Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-ncabatoff-go-seq-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-procfs-dev (>= 0.2.0),
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git
Homepage: https://github.com/ncabatoff/process-exporter
XS-Go-Import-Path: github.com/ncabatoff/process-exporter

Package: prometheus-process-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter that exposes process metrics from procfs
 Some apps are impractical to instrument directly, either because you don't
 control the code or they're written in a language that isn't easy to
 instrument with Prometheus. This exporter solves that issue by mining
 process metrics from procfs.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_EXCLUDES := cmd/integration-tester cmd/load-generator
export DH_GOLANG_INSTALL_EXTRA := fixtures

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/process-exporter $(BUILDDIR)/bin/$(DEB_SOURCE)

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/process-exporter-$1\.tar\.gz/,\
     dversionmangle=s/\+ds\d*$// \
  https://github.com/ncabatoff/process-exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-process-exporter 0.7.10

=== Makefile ===
pkgs          = $(shell go list ./...)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= ncabatoff/process-exporter

BRANCH      ?= $(shell git rev-parse --abbrev-ref HEAD)
BUILDDATE   ?= $(shell date --iso-8601=seconds)
BUILDUSER   ?= $(shell whoami)@$(shell hostname)
REVISION    ?= $(shell git rev-parse HEAD)
TAG_VERSION ?= $(shell git describe --tags --abbrev=0)

VERSION_LDFLAGS := \
  -X github.com/prometheus/common/version.Branch=$(BRANCH) \
  -X github.com/prometheus/common/version.BuildDate=$(BUILDDATE) \
  -X github.com/prometheus/common/version.BuildUser=$(BUILDUSER) \
  -X github.com/prometheus/common/version.Revision=$(REVISION) \
  -X main.version=$(TAG_VERSION)

SMOKE_TEST = -config.path packaging/conf/all.yaml -once-to-stdout-delay 1s |grep -q 'namedprocess_namegroup_memory_bytes{groupname="process-exporte",memtype="virtual"}'

all: format vet test build smoke

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -name '*.go' -print) | grep '^'

test:
	@echo ">> running short tests"
	go test -short $(pkgs)

format:
	@echo ">> formatting code"
	go fmt $(pkgs)

vet:
	@echo ">> vetting code"
	go vet $(pkgs)

build:
	@echo ">> building code"
	cd cmd/process-exporter; CGO_ENABLED=0 go build -ldflags "$(VERSION_LDFLAGS)" -o ../../process-exporter -a -tags netgo

smoke:
	@echo ">> smoke testing process-exporter"
	./process-exporter $(SMOKE_TEST)

integ:
	@echo ">> integration testing process-exporter"
	go build -o integration-tester cmd/integration-tester/main.go
	go build -o load-generator cmd/load-generator/main.go
	./integration-tester -write-size-bytes 65536

install:
	@echo ">> installing binary"
	cd cmd/process-exporter; CGO_ENABLED=0 go install -a -tags netgo

docker:
	@echo ">> building docker image"
	docker build -t "$(DOCKER_IMAGE_NAME):$(TAG_VERSION)" .
	docker rm configs
	docker create -v /packaging --name configs alpine:3.4 /bin/true
	docker cp packaging/conf configs:/packaging/conf
	docker run --rm --volumes-from configs "$(DOCKER_IMAGE_NAME):$(TAG_VERSION)" $(SMOKE_TEST)

dockertest:
	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.15  make -C /go/src/github.com/ncabatoff/process-exporter test

dockerinteg:
	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.15  make -C /go/src/github.com/ncabatoff/process-exporter build integ

.PHONY: update-go-deps
update-go-deps:
	@echo ">> updating Go dependencies"
	@for m in $$(go list -mod=readonly -m -f '{{ if and (not .Indirect) (not .Main)}}{{.Path}}{{end}}' all); do \
		go get $$m; \
	done
	go mod tidy

.PHONY: all style format test vet build integ docker

=== debian/changelog ===
prometheus-process-exporter (0.7.10-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 11:56:56 +1000

prometheus-process-exporter (0.7.10-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:34:18 +1000

prometheus-process-exporter (0.7.10-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:23:00 +0530

prometheus-process-exporter (0.7.10-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:48 +1200

prometheus-process-exporter (0.7.10-3) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * lintian-overrides: override absolute-symbolic-link-target-in-source
  * Add new 04-support-newer-exporter-toolkit.patch
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.8.0

  [ Guillem Jover ]
  * Remove --help output from default file
  * Switch to Standards-Version 4.6.1 (no changes needed)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 15 Dec 2022 03:41:28 +0000

prometheus-process-exporter (0.7.10-2) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf following latest Go Team workflow.
  * Update debian/watch file.
  * Fix typo in default file.
    Spotted by Daniel Swarbrick <dswarbrick@debian.org>.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 15 Mar 2022 23:44:42 +0100

prometheus-process-exporter (0.7.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Update debian/watch file.
  * Update dependencies for new upstream release.
  * Refresh patch for new upstream release.
  * Update man page and default file.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 26 Nov 2021 20:24:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: prometheus-process-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
            Martina Ferrari <tina@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-github-google-go-cmp-dev,
                golang-github-ncabatoff-go-seq-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-github-prometheus-procfs-dev (>= 0.2.0),
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/ncabatoff/process-exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-process-exporter 0.8.2

=== debian/changelog ===
prometheus-process-exporter (0.8.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1070053)
  * Drop obsolete patches (resolved upstream):
    - 0003-Support-prometheus-exporter-toolkit-v0.8.0.patch
    - 0004-Support-prometheus-common-v0.50.0.patch
  * debian/control: drop redundant Build-Depends version constraints

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 02 May 2024 12:31:56 +0000

prometheus-process-exporter (0.7.10-4) unstable; urgency=medium

  * Convert patches to gbp-pq format
  * Add new 0004-Support-prometheus-common-v0.50.0.patch (Closes: #1067275)
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 21 Mar 2024 15:19:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-process-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
            Martina Ferrari <tina@debian.org>,
 Section: net
@@ -11,13 +10,13 @@
                golang-any,
                golang-github-google-go-cmp-dev,
                golang-github-ncabatoff-go-seq-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
-               golang-github-prometheus-procfs-dev (>= 0.2.0),
+               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-procfs-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git

## prometheus-process-exporter 0.8.3

=== Makefile ===
--- 
+++ 
@@ -64,10 +64,10 @@
 	docker run --rm --volumes-from configs "$(DOCKER_IMAGE_NAME):$(TAG_VERSION)" $(SMOKE_TEST)
 
 dockertest:
-	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.15  make -C /go/src/github.com/ncabatoff/process-exporter test
+	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.22  make -C /go/src/github.com/ncabatoff/process-exporter test
 
 dockerinteg:
-	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.15  make -C /go/src/github.com/ncabatoff/process-exporter build integ
+	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.22  make -C /go/src/github.com/ncabatoff/process-exporter build integ
 
 .PHONY: update-go-deps
 update-go-deps:

=== debian/changelog ===
prometheus-process-exporter (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Aug 2024 11:41:37 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-github-prometheus-procfs-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git

## prometheus-process-exporter 0.8.5

=== debian/changelog ===
prometheus-process-exporter (0.8.5-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Refresh patches
  * Bump Standards-Version to 4.7.1 (no changes)
  * Add new 0003-Backport-PR-330.patch to replace go-kit/log with standard
    library log/slog (via exporter-toolkit promslog wrapper)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 26 Feb 2025 20:48:33 +0000

=== debian/control ===
Source: prometheus-process-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
           Martina Ferrari <tina@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-ncabatoff-go-seq-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-github-prometheus-procfs-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-yaml.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git
Homepage: https://github.com/ncabatoff/process-exporter
XS-Go-Import-Path: github.com/ncabatoff/process-exporter

Package: prometheus-process-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter that exposes process metrics from procfs
 Some apps are impractical to instrument directly, either because you don't
 control the code or they're written in a language that isn't easy to
 instrument with Prometheus. This exporter solves that issue by mining
 process metrics from procfs.

## prometheus-process-exporter 0.8.7

=== Makefile ===
--- 
+++ 
@@ -64,10 +64,10 @@
 	docker run --rm --volumes-from configs "$(DOCKER_IMAGE_NAME):$(TAG_VERSION)" $(SMOKE_TEST)
 
 dockertest:
-	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.22  make -C /go/src/github.com/ncabatoff/process-exporter test
+	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.23.8  make -C /go/src/github.com/ncabatoff/process-exporter test
 
 dockerinteg:
-	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.22  make -C /go/src/github.com/ncabatoff/process-exporter build integ
+	docker run --rm -it -v `pwd`:/go/src/github.com/ncabatoff/process-exporter golang:1.23.8  make -C /go/src/github.com/ncabatoff/process-exporter build integ
 
 .PHONY: update-go-deps
 update-go-deps:

=== debian/changelog ===
prometheus-process-exporter (0.8.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2 (no changes)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 14:44:29 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-process-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-process-exporter.git
 Homepage: https://github.com/ncabatoff/process-exporter

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/ncabatoff/process-exporter/tags .*/v?(\d\S*)\.tar\.gz debian
